Subject: Ticket Assigned - Invoice regarding missing pillows
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 15 Feb 2022 04:34:48 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Invoice regarding missing pillows  Hello

On august 2021 I’ve ordered three pillows. I paid for it but didn’t collect the items for that it was in another branch and needed few days to arrive to alain ; bawadi branch

I travel outside the country. The customer services called me to inform me the items have reached, I’ve i explained I’ve lost the recipient and that I’m out of the country for now. The clearly explains it’s alright, provide my phone number is enough to collect the items.

3 days ago I’ve visited home box ( bawadi branch) to collect the items. 
At first they said it’s in the store and will take few time to collect it. Then the employee informed me that the pillows are out of stock, I’ve explained I’ve paid for those pillows so it can’t be out of stock! Later they said someone else collected it and surely this someone’s isn’t me or any relatives. I’ve not received the items. 

Upon the employee request, I’ve sent this email with the invoice. They informed me, they can’t help me without showing them the invoice. 
Below is copy of the invoice, kindly solve this issue

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3892344